Bug 204614 - LOR In mpr(4)
Summary: LOR In mpr(4)
Status: Closed Unable to Reproduce
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-16 23:38 UTC by pete
Modified: 2017-01-17 17:36 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pete 2015-11-16 23:38:54 UTC
I am seeing the following LOR on 11.0-CURRENT:

lock order reversal:
 1st 0xfffff8000d26bc60 CAM device lock (CAM device lock) @ /usr/src/sys/cam/cam_xpt.c:784
 2nd 0xfffffe00012911c0 MPR lock (MPR lock) @ /usr/src/sys/cam/cam_xpt.c:2620
KDB: stack backtrace:
db_trace_self_wrapper() at db_trace_self_wrapper+0x2b/frame 0xfffffe04608ec890
witness_checkorder() at witness_checkorder+0xe79/frame 0xfffffe04608ec910
__mtx_lock_flags() at __mtx_lock_flags+0xa4/frame 0xfffffe04608ec960
xpt_action_default() at xpt_action_default+0xb6c/frame 0xfffffe04608ec9b0
scsi_scan_bus() at scsi_scan_bus+0x1d5/frame 0xfffffe04608eca20
xpt_scanner_thread() at xpt_scanner_thread+0x15c/frame 0xfffffe04608eca70
fork_exit() at fork_exit+0x84/frame 0xfffffe04608ecab0
fork_trampoline() at fork_trampoline+0xe/frame 0xfffffe04608ecab0
--- trap 0, rip = 0, rsp = 0, rbp = 0 ---


Here is my system info:
[pwright@srd0013 ~]$ uname -ar
FreeBSD srd0013 11.0-CURRENT FreeBSD 11.0-CURRENT #2 r290942: Mon Nov 16 12:01:20 PST 2015     root@srd0013:/usr/obj/usr/src/sys/GENERIC  amd64
[pwright@srd0013 ~]$ cd /usr/src/ && svn info
Path: .
Working Copy Root Path: /usr/src
URL: https://svn.freebsd.org/base/head
Relative URL: ^/head
Repository Root: https://svn.freebsd.org/base
Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
Revision: 290942
Node Kind: directory
Schedule: normal
Last Changed Author: rodrigc
Last Changed Rev: 290942
Last Changed Date: 2015-11-16 09:28:04 -0800 (Mon, 16 Nov 2015)



I have rebuild kernel+world several times over the past week and can reproduce this.
Comment 1 pete 2015-11-16 23:39:29 UTC
full dmsesg:
Copyright (c) 1992-2015 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 11.0-CURRENT #2 r290942: Mon Nov 16 12:01:20 PST 2015
    root@srd0013:/usr/obj/usr/src/sys/GENERIC amd64
FreeBSD clang version 3.7.0 (tags/RELEASE_370/final 246257) 20150906
WARNING: WITNESS option enabled, expect reduced performance.
VT(efifb): resolution 1024x768
CPU: Intel(R) Xeon(R) CPU E5-2603 v3 @ 1.60GHz (1596.34-MHz K8-class CPU)
  Origin="GenuineIntel"  Id=0x306f2  Family=0x6  Model=0x3f  Stepping=2
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x7ffefbff<SSE3,PCLMULQDQ,DTES64,MON,DS_CPL,VMX,SMX,EST,TM2,SSSE3,SDBG,FMA,CX16,xTPR,PDCM,PCID,DCA,SSE4.1,SSE4.2,x2APIC,MOVBE,POPCNT,TSCDLT,AESNI,XSAVE,OSXSAVE,AVX,F16C,RDRAND>
  AMD Features=0x2c100800<SYSCALL,NX,Page1GB,RDTSCP,LM>
  AMD Features2=0x21<LAHF,ABM>
  Structured Extended Features=0x37ab<FSGSBASE,TSCADJ,BMI1,AVX2,SMEP,BMI2,ERMS,INVPCID,PQM,NFPUSG>
  XSAVE Features=0x1<XSAVEOPT>
  VT-x: PAT,HLT,MTF,PAUSE,EPT,UG,VPID,VID,PostIntr
  TSC: P-state invariant, performance statistics
real memory  = 17179869184 (16384 MB)
avail memory = 16436211712 (15674 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <ALASKA A M I >
FreeBSD/SMP: Multiprocessor System Detected: 12 CPUs
FreeBSD/SMP: 2 package(s) x 6 core(s)
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  2
 cpu2 (AP): APIC ID:  4
 cpu3 (AP): APIC ID:  6
 cpu4 (AP): APIC ID:  8
 cpu5 (AP): APIC ID: 10
 cpu6 (AP): APIC ID: 16
 cpu7 (AP): APIC ID: 18
 cpu8 (AP): APIC ID: 20
 cpu9 (AP): APIC ID: 22
 cpu10 (AP): APIC ID: 24
 cpu11 (AP): APIC ID: 26
random: unblocking device.
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
ioapic2 <Version 2.0> irqs 48-71 on motherboard
random: entropy device external interface
kbd0 at kbdmux0
netmap: loaded module
module_register_init: MOD_LOAD (vesa, 0xffffffff80edc540, 0) error 19
random: registering fast source Intel Secure Key RNG
random: fast provider: "Intel Secure Key RNG"
cryptosoft0: <software crypto> on motherboard
acpi0: <ALASKA A M I > on motherboard
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
cpu2: <ACPI CPU> on acpi0
cpu3: <ACPI CPU> on acpi0
cpu4: <ACPI CPU> on acpi0
cpu5: <ACPI CPU> on acpi0
cpu6: <ACPI CPU> on acpi0
cpu7: <ACPI CPU> on acpi0
cpu8: <ACPI CPU> on acpi0
cpu9: <ACPI CPU> on acpi0
cpu10: <ACPI CPU> on acpi0
cpu11: <ACPI CPU> on acpi0
atrtc0: <AT realtime clock> port 0x70-0x71,0x74-0x77 irq 8 on acpi0
Event timer "RTC" frequency 32768 Hz quality 0
attimer0: <AT timer> port 0x40-0x43,0x50-0x53 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 350
Event timer "HPET1" frequency 14318180 Hz quality 340
Event timer "HPET2" frequency 14318180 Hz quality 340
Event timer "HPET3" frequency 14318180 Hz quality 340
Event timer "HPET4" frequency 14318180 Hz quality 340
Event timer "HPET5" frequency 14318180 Hz quality 340
Event timer "HPET6" frequency 14318180 Hz quality 340
Event timer "HPET7" frequency 14318180 Hz quality 340
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
pcib0: <ACPI Host-PCI bridge> on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI Host-PCI bridge> on acpi0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci2: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> irq 26 at device 1.0 on pci2
pci3: <ACPI PCI bus> on pcib3
igb0: <Intel(R) PRO/1000 Network Connection, Version - 2.5.2> port 0x6020-0x603f mem 0xc7b80000-0xc7bfffff,0xc7c04000-0xc7c07fff irq 26 at device 0.0 on pci3
igb0: Using MSIX interrupts with 9 vectors
igb0: Ethernet address: 2c:60:0c:3c:c3:4b
igb0: Bound queue 0 to cpu 0
igb0: Bound queue 1 to cpu 1
igb0: Bound queue 2 to cpu 2
igb0: Bound queue 3 to cpu 3
igb0: Bound queue 4 to cpu 4
igb0: Bound queue 5 to cpu 5
igb0: Bound queue 6 to cpu 6
igb0: Bound queue 7 to cpu 7
igb0: netmap queues/slots: TX 8/1024, RX 8/1024
igb1: <Intel(R) PRO/1000 Network Connection, Version - 2.5.2> port 0x6000-0x601f mem 0xc7a80000-0xc7afffff,0xc7c00000-0xc7c03fff irq 28 at device 0.1 on pci3
igb1: Using MSIX interrupts with 9 vectors
igb1: Ethernet address: 2c:60:0c:3c:c3:4c
igb1: Bound queue 0 to cpu 8
igb1: Bound queue 1 to cpu 9
igb1: Bound queue 2 to cpu 10
igb1: Bound queue 3 to cpu 11
igb1: Bound queue 4 to cpu 0
igb1: Bound queue 5 to cpu 1
igb1: Bound queue 6 to cpu 2
igb1: Bound queue 7 to cpu 3
igb1: netmap queues/slots: TX 8/1024, RX 8/1024
pcib4: <ACPI PCI-PCI bridge> irq 32 at device 2.0 on pci2
pci4: <ACPI PCI bus> on pcib4
pci4: <bridge> at device 0.0 (no driver attached)
pcib5: <ACPI PCI-PCI bridge> irq 42 at device 3.0 on pci2
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI PCI-PCI bridge> irq 42 at device 3.1 on pci2
pci6: <ACPI PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> irq 42 at device 3.2 on pci2
pci7: <ACPI PCI bus> on pcib7
mpr0: <Avago Technologies (LSI) SAS3008> port 0x5000-0x50ff mem 0xc7e00000-0xc7e0ffff irq 42 at device 0.0 on pci7
mpr0: IOCFacts	:
	MsgVersion: 0x205
	HeaderVersion: 0x2300
	IOCNumber: 0
	IOCExceptions: 0x0
	MaxChainDepth: 128
	NumberOfPorts: 1
	RequestCredit: 3072
	ProductID: 0x2721
	IOCRequestFrameSize: 32
	MaxInitiators: 1
	MaxTargets: 256
	MaxSasExpanders: 48
	MaxEnclosures: 16
	HighPriorityCredit: 128
	MaxReplyDescriptorPostQueueDepth: 65504
	ReplyFrameSize: 32
	MaxVolumes: 2
	MaxDevHandle: 323
	MaxPersistentEntries: 128
mpr0: Firmware: 06.00.00.00, Driver: 09.255.01.00-fbsd
mpr0: IOCCapabilities: 6985c<ScsiTaskFull,DiagTrace,SnapBuf,EEDP,TransRetry,IR,MSIXIndex>
pci2: <unknown> at device 17.0 (no driver attached)
ahci0: <Intel Wellsburg AHCI SATA controller> port 0x7110-0x7117,0x7100-0x7103,0x70f0-0x70f7,0x70e0-0x70e3,0x7020-0x703f mem 0xc7118000-0xc71187ff irq 16 at device 17.4 on pci2
ahci0: AHCI v1.30 with 4 6Gbps ports, Port Multiplier not supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich2: <AHCI channel> at channel 2 on ahci0
ahcich3: <AHCI channel> at channel 3 on ahci0
ahciem0: <AHCI enclosure management bridge> on ahci0
pci2: <simple comms> at device 22.0 (no driver attached)
pci2: <simple comms> at device 22.1 (no driver attached)
ehci0: <EHCI (generic) USB 2.0 controller> mem 0xc7114000-0xc71143ff irq 18 at device 26.0 on pci2
usbus0: EHCI version 1.0
usbus0 on ehci0
pcib8: <ACPI PCI-PCI bridge> irq 16 at device 28.0 on pci2
pci8: <ACPI PCI bus> on pcib8
pcib9: <ACPI PCI-PCI bridge> at device 0.0 on pci8
pci9: <ACPI PCI bus> on pcib9
vgapci0: <VGA-compatible display> port 0x4000-0x407f mem 0xc6800000-0xc6ffffff,0xc7000000-0xc701ffff irq 16 at device 0.0 on pci9
vgapci0: Boot video device
ehci1: <EHCI (generic) USB 2.0 controller> mem 0xc7113000-0xc71133ff irq 18 at device 29.0 on pci2
usbus1: EHCI version 1.0
usbus1 on ehci1
isab0: <PCI-ISA bridge> at device 31.0 on pci2
isa0: <ISA bus> on isab0
ahci1: <Intel Wellsburg AHCI SATA controller> port 0x7070-0x7077,0x7060-0x7063,0x7050-0x7057,0x7040-0x7043,0x7000-0x701f mem 0xc7112000-0xc71127ff irq 16 at device 31.2 on pci2
ahci1: AHCI v1.30 with 6 6Gbps ports, Port Multiplier not supported
ahcich4: <AHCI channel> at channel 0 on ahci1
ahcich5: <AHCI channel> at channel 1 on ahci1
ahcich6: <AHCI channel> at channel 2 on ahci1
ahcich7: <AHCI channel> at channel 3 on ahci1
ahcich8: <AHCI channel> at channel 4 on ahci1
ahcich9: <AHCI channel> at channel 5 on ahci1
ahciem1: <AHCI enclosure management bridge> on ahci1
pcib10: <ACPI Host-PCI bridge> on acpi0
pci10: <ACPI PCI bus> on pcib10
acpi_button0: <Power Button> on acpi0
uart0: <16550 or compatible> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
uart1: <16550 or compatible> port 0x2f8-0x2ff irq 3 on acpi0
ppc0: cannot reserve I/O port range
est0: <Enhanced SpeedStep Frequency Control> on cpu0
est1: <Enhanced SpeedStep Frequency Control> on cpu1
est2: <Enhanced SpeedStep Frequency Control> on cpu2
est3: <Enhanced SpeedStep Frequency Control> on cpu3
est4: <Enhanced SpeedStep Frequency Control> on cpu4
est5: <Enhanced SpeedStep Frequency Control> on cpu5
est6: <Enhanced SpeedStep Frequency Control> on cpu6
est7: <Enhanced SpeedStep Frequency Control> on cpu7
est8: <Enhanced SpeedStep Frequency Control> on cpu8
est9: <Enhanced SpeedStep Frequency Control> on cpu9
est10: <Enhanced SpeedStep Frequency Control> on cpu10
est11: <Enhanced SpeedStep Frequency Control> on cpu11
usbus0: 480Mbps High Speed USB v2.0
Timecounters tick every 1.000 msec
IPsec: Initialized Security Association Processing.
usbus1: 480Mbps High Speed USB v2.0
ugen0.1: <Intel> at usbus0
uhub0: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus0
ugen1.1: <Intel> at usbus1
uhub1: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus1
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
ugen0.2: <vendor 0x8087> at usbus0
uhub2: <vendor 0x8087 product 0x800a, class 9/0, rev 2.00/0.05, addr 2> on usbus0
ugen1.2: <vendor 0x8087> at usbus1
uhub3: <vendor 0x8087 product 0x8002, class 9/0, rev 2.00/0.05, addr 2> on usbus1
uhub2: 6 ports with 6 removable, self powered
mpr0: SAS Address for SATA device = 929180c5b5c695b
mpr0: SAS Address from SAS device page0 = 4433221100000000
uhub3: 8 ports with 8 removable, self powered
mpr0: SAS Address from SATA device = 929180c5b5c695b
mpr0: Found device <881<SataDev,Direct>,End Device> <6.0Gbps> handle<0x0009> enclosureHandle<0x0001> slot 0
mpr0: At enclosure level 0 and connector name (    )
lock order reversal:
 1st 0xfffff8000d26bc60 CAM device lock (CAM device lock) @ /usr/src/sys/cam/cam_xpt.c:784
 2nd 0xfffffe00012911c0 MPR lock (MPR lock) @ /usr/src/sys/cam/cam_xpt.c:2620
KDB: stack backtrace:
db_trace_self_wrapper() at db_trace_self_wrapper+0x2b/frame 0xfffffe04608ec890
witness_checkorder() at witness_checkorder+0xe79/frame 0xfffffe04608ec910
__mtx_lock_flags() at __mtx_lock_flags+0xa4/frame 0xfffffe04608ec960
xpt_action_default() at xpt_action_default+0xb6c/frame 0xfffffe04608ec9b0
scsi_scan_bus() at scsi_scan_bus+0x1d5/frame 0xfffffe04608eca20
xpt_scanner_thread() at xpt_scanner_thread+0x15c/frame 0xfffffe04608eca70
fork_exit() at fork_exit+0x84/frame 0xfffffe04608ecab0
fork_trampoline() at fork_trampoline+0xe/frame 0xfffffe04608ecab0
--- trap 0, rip = 0, rsp = 0, rbp = 0 ---
mpr0: SAS Address for SATA device = 929180c6e705a7d
mpr0: SAS Address from SAS device page0 = 4433221101000000
mpr0: SAS Address from SATA device = 929180c6e705a7d
mpr0: Found device <881<SataDev,Direct>,End Device> <6.0Gbps> handle<0x000a> enclosureHandle<0x0001> slot 1
mpr0: At enclosure level 0 and connector name (    )
ugen0.3: <American Megatrends Inc.> at usbus0
uhub4: <7-port Hub> on usbus0
uhub4: 5 ports with 5 removable, self powered
ugen0.4: <American Megatrends Inc.> at usbus0
ukbd0: <Keyboard Interface> on usbus0
kbd1 at ukbd0
ugen0.5: <American Megatrends Inc.> at usbus0
umass0: <Virtual Floppy> on usbus0
umass0:  SCSI over Bulk-Only; quirks = 0x0100
umass0:13:0: Attached to scbus13
ugen0.6: <vendor 0x0424> at usbus0
uhub5: <vendor 0x0424 product 0x2422, class 9/0, rev 2.00/2.00, addr 6> on usbus0
uhub5: 2 ports with 0 removable, self powered
da0 at mpr0 bus 0 scbus0 target 4 lun 0
da0: <ATA ST91000640NS SN03> Fixed Direct Access SPC-4 SCSI device
da1 at mpr0 bus 0 scbus0 target 5 lun 0
da0: Serial Number             9XG547A6
da1: <ATA ST91000640NS SN03> Fixed Direct Access SPC-4 SCSI device
da0: 600.000MB/s transfersda1: Serial Number             9XG5GK2X

da1: 600.000MB/s transfersda0: Command Queueing enabled

da0: 953869MB (1953525168 512 byte sectors)
da1: Command Queueing enabled
da1: 953869MB (1953525168 512 byte sectors)
da2 at umass-sim0 bus 0 scbus13 target 0 lun 0
da2: <AMI Virtual Floppy0 1.00> Removable Direct Access SCSI device
da2: Serial Number AAAABBBBCCCC2
da2: 40.000MB/s transfers
da2: Attempt to query device size failed: NOT READY, Medium not present
da2: quirks=0x2<NO_6_BYTE>
ses0 at ahciem0 bus 0 scbus5 target 0 lun 0
ses0: <AHCI SGPIO Enclosure 1.00 0001> SEMB S-E-S 2.00 device
ses0: SEMB SES Device
ses1 at ahciem1 bus 0 scbus12 target 0 lun 0
ses1: <AHCI SGPIO Enclosure 1.00 0001> SEMB S-E-S 2.00 device
ses1: SEMB SES Device
SMP: AP CPU #8 Launched!
SMP: AP CPU #2 Launched!
SMP: AP CPU #7 Launched!
SMP: AP CPU #5 Launched!
SMP: AP CPU #6 Launched!
SMP: AP CPU #1 Launched!
SMP: AP CPU #10 Launched!
SMP: AP CPU #3 Launched!
SMP: AP CPU #9 Launched!
SMP: AP CPU #4 Launched!
SMP: AP CPU #11 Launched!
Timecounter "TSC" frequency 1596340192 Hz quality 1000
WARNING: WITNESS option enabled, expect reduced performance.
Trying to mount root from ufs:/dev/da0p2 [rw]...
igb0: link state changed to UP
ums0: <Mouse Interface> on usbus0
ums0: 3 buttons and [Z] coordinates ID=0
ugen0.3: <American Megatrends Inc.> at usbus0 (disconnected)
uhub4: at uhub2, port 2, addr 3 (disconnected)
ugen0.4: <American Megatrends Inc.> at usbus0 (disconnected)
ukbd0: at uhub4, port 1, addr 4 (disconnected)
ums0: at uhub4, port 1, addr 4 (disconnected)
ugen0.5: <American Megatrends Inc.> at usbus0 (disconnected)
umass0: at uhub4, port 3, addr 5 (disconnected)
da2 at umass-sim0 bus 0 scbus13 target 0 lun 0
da2: <AMI Virtual Floppy0 1.00> s/n AAAABBBBCCCC2 detached
(da2:umass-sim0:0:0:0): Periph destroyed
Comment 2 Sean Bruno freebsd_committer 2016-04-04 22:27:32 UTC
We just ran into this in the FreeBSD cluster with:
FreeBSD 11.0-CURRENT #0 r296318M: Mon Apr  4 21:46:27 UTC 2016


mpr0: SAS Address for SATA device = 2a4f636b92648265
mpr0: SAS Address for SATA device = 142f4f6e92648266
mpr0: SAS Address for SATA device = b2a706e92648266
mpr0: SAS Address for SATA device = 4414c6e92648266
mpr0: SAS Address from SAS device page0 = 500304801ecc0b00
mpr0: SAS Address from SATA device = 2a4f636b92648265
mpr0: Found device <81<SataDev>,End Device> <12.0Gbps> handle<0x000a> enclosureHandle<0x0002> slot 0
mpr0: At enclosure level 0 and connector name (    )
lock order reversal:
 1st 0xfffff8013d2c7460 CAM device lock (CAM device lock) @ /usr/src/sys/cam/cam_xpt.c:784
 2nd 0xfffffe0001b331c0 MPR lock (MPR lock) @ /usr/src/sys/cam/cam_xpt.c:2622
stack backtrace:
#0 0xffffffff80a83000 at witness_debugger+0x70
#1 0xffffffff80a82f01 at witness_checkorder+0xe71
#2 0xffffffff80a09d24 at __mtx_lock_flags+0xa4
#3 0xffffffff803022cc at xpt_action_default+0xb6c
#4 0xffffffff803120e5 at scsi_scan_bus+0x1d5
#5 0xffffffff80307f3c at xpt_scanner_thread+0x15c
#6 0xffffffff809ebea4 at fork_exit+0x84
#7 0xffffffff80e59f1e at fork_trampoline+0xe
mpr0: SAS Address from SAS device page0 = 500304801ecc0b01
mpr0: SAS Address from SATA device = 142f4f6e92648266
mpr0: Found device <81<SataDev>,End Device> <12.0Gbps> handle<0x000b> enclosureHandle<0x0002> slot 1
mpr0: At enclosure level 0 and connector name (    )
mpr0: SAS Address from SAS device page0 = 500304801ecc0b02
mpr0: SAS Address from SATA device = b2a706e92648266
mpr0: Found device <81<SataDev>,End Device> <12.0Gbps> handle<0x000c> enclosureHandle<0x0002> slot 2
mpr0: At enclosure level 0 and connector name (    )
mpr0: SAS Address from SAS device page0 = 500304801ecc0b03
mpr0: SAS Address from SATA device = 4414c6e92648266
mpr0: Found device <81<SataDev>,End Device> <12.0Gbps> handle<0x000d> enclosureHandle<0x0002> slot 3
Comment 3 pete 2017-01-17 17:36:37 UTC
No longer have access to this system so closing to clean up queue.